library ieee ;
use ieee.std_logic_1164.all ; -- définition du type bit , bit vector , ...
use ieee.numeric_std.all ; -- opérations signées et non signées
use ieee.std_logic_arith.all ; -- opérations signées et non signées sur les vecteur

entity My_or4 is port(
  A,B,C,D : in std_logic;
  E : out std_logic
  );
end entity My_or4 ;

architecture or4_arch of My_or4 is
  begin
    E <= A or B or C or D ;
end architecture or4_arch;